%define momorel 2
%define vimversion vim63
%define vimsrcversion 6.3
%define patchlevel 4

%define vimruntime %{_datadir}/vim/%{vimversion}

Summary: The VIM editor.
Name: vim
Version: %{vimsrcversion}.%{patchlevel}
Release: %{momorel}m
License: GPL
Group: Applications/Editors
URL: http://www.vim.org/
Source0: ftp://ftp.vim.org/pub/vim/unix/vim-%{vimsrcversion}.tar.bz2
#Source1: ftp://ftp.vim.org/pub/vim/unreleased/unix/vim-%{vimsrcversion}-rt.tar.bz2
Source6: ftp://ftp.vim.org/pub/vim/extra/vim-%{vimsrcversion}-extra.tar.gz
Source7: ftp://ftp.vim.org/pub/vim/extra/vim-%{vimsrcversion}-lang.tar.gz
Source2: vimx.wmconfig
Source3: vimrc
Source5: gvimrc
Source100: euc-jp.ps
Source101: sjis.ps
Source102: euc-cn.ps
Source103: euc-kr.ps
Source104: big5.ps
Patch0: vim-4.2-speed_t.patch
Patch1: vim-5.1-vimnotvi.patch
Patch2: vim-5.6a-paths.patch
Patch3: vim-6.0-fixkeys.patch
#Patch4: vim-6.0-specsyntax.patch
Patch5: vim-6.0r-crv.patch
Patch6: vim-6.0z-menui18n.patch
Patch7: vim-6.0t-phphighlight.patch
# Patch8: vim-6.0v-lilo.patch
Patch10: vim-6.2-hardcopy-multibyte.patch
# vim patch
# (bzipped ftp://ftp.vim.org/pub/vim/patches/6.3/* )
Patch101: ftp://ftp.vim.org/pub/vim/patches/%{vimsrcversion}/%{vimsrcversion}.001
Patch102: ftp://ftp.vim.org/pub/vim/patches/%{vimsrcversion}/%{vimsrcversion}.002
Patch103: ftp://ftp.vim.org/pub/vim/patches/%{vimsrcversion}/%{vimsrcversion}.003
Patch104: ftp://ftp.vim.org/pub/vim/patches/%{vimsrcversion}/%{vimsrcversion}.004

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python-devel
BuildRequires: perl >= 5.8.1
BuildRequires: ruby
BuildRequires: gnome-libs-devel
BuildRequires: libtermcap-devel
BuildRequires: ncurses-devel
BuildRequires: gpm-devel

NoSource: 0
#NoSource: 1
NoSource: 6
NoSource: 7
NoPatch: 101
NoPatch: 102
NoPatch: 103
NoPatch: 104
%description
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.

%package macros
Summary: The macro files needed by enhanced or X11 version of the VIM editor.
Group: Applications/Editors

%description macros
vim macros

%package common
Summary: The common files needed by any version of the VIM editor.
Group: Applications/Editors

%description common
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-common package contains files which every VIM binary will need in
order to run.

If you are installing any version of the VIM editor, you'll also need
to the vim-common package installed.

%package minimal
Summary: A minimal version of the VIM editor.
Group: Applications/Editors
Requires: vim-common
Obsoletes:  vim

Requires: libtermcap

%description minimal
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more. The
vim-minimal package includes a minimal version of VIM, which is
installed into /bin/vi for use when only the root partition is
present.

%package enhanced
Summary: A version of the VIM editor which includes recent enhancements.
Group: Applications/Editors
Requires: vim-common vim-macros
Obsoletes: vim-color

Requires: gpm
Requires: ncurses
Requires: ruby
Requires: python

%description enhanced
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-enhanced package contains a version of VIM with extra, recently
introduced features like Python and Perl interpreters.

Install the vim-enhanced package if you'd like to use a version of the
VIM editor which includes recently added enhancements like
interpreters for the Python and Perl scripting languages.  You'll also
need to install the vim-common package.

%package X11
Summary: The VIM version of the vi editor for the X Window System.
Group: Applications/Editors
Requires: vim-common vim-macros

Requires: gpm
Requires: ncurses
Requires: gnome-libs
Requires: perl
Requires: ruby
Requires: python

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and
more. VIM-X11 is a version of the VIM editor which will run within the
X Window System.  If you install this package, you can run VIM as an X
application with a full GUI interface and mouse support.

Install the vim-X11 package if you'd like to try out a version of vi
with graphics and mouse capabilities.  You'll also need to install the
vim-common package.

%prep
%setup -q -b 6 -b 7 -n %{vimversion}
%patch0 -p1 -b .4.2
%patch1 -p1 -b .vim
# fix rogue dependencies from sample code
chmod -x runtime/tools/mve.awk
%patch2 -p1 -b .paths
find . -name \*.paths | xargs rm -f
%patch3 -p1 -b .fixkeys
#%patch4 -p1 -b .highlite
%patch5 -p1 -b .crv
#%patch6 -p1 -b .menui18n
#%patch7 -p1 -b .php
#%patch100 -p0
%patch101 -p0
%patch102 -p0
%patch103 -p0
%patch104 -p0
%patch10 -p1 -b .ps

perl -pi -e "s,bin/nawk,bin/awk,g" runtime/tools/mve.awk
perl -pi -e "s|prompt|prompt lba32|g" runtime/syntax/lilo.vim

%build
cd src
autoconf-old
perl -pi -e "s,\\\$VIMRUNTIME,%{vimruntime},g" os_unix.h
perl -pi -e "s,\\\$VIM,%{vimruntime},g" os_unix.h

%configure --with-features=huge \
           --enable-pythoninterp \
           --enable-perlinterp \
           --disable-tclinterp \
           --enable-rubyinterp \
	   --enable-multibyte \
           --enable-broken-locale \
           --with-x=yes \
           --enable-gui=gnome2 \
           --exec-prefix=/usr/X11R6 \
	   --enable-xim \
           --enable-fontset

%make
cp vim gvim
make clean
rm -f auto/{config.log,config.cache,config.guess}

%configure --prefix=/usr \
           --with-features=huge \
           --enable-pythoninterp \
	   --enable-perlinterp \
           --disable-tclinterp \
           --enable-rubyinterp \
	   --with-x=no \
           --enable-gui=no \
           --exec-prefix=/usr \
           --enable-multibyte \
	   --enable-broken-locale

%make
cp vim enhanced-vim
make clean

rm -f auto/{config.log,config.cache,config.guess}

%configure --prefix='${DEST}'/usr \
           --with-features=small \
           --with-x=no \
	   --disable-pythoninterp \
           --disable-perlinterp \
           --disable-tclinterp \
	   --disable-rubyinterp \
           --enable-gui=no \
           --disable-gpm \
           --exec-prefix=/ \
	   --with-tlib=termcap \
	   --enable-multibyte \
	   --enable-broken-locale

%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/bin
mkdir -p %{buildroot}/usr/{bin,share/vim,X11R6/bin}
mkdir -p %{buildroot}%{_mandir}/man1

pushd src
%makeinstall BINDIR=%{buildroot}/bin DATADIR=%{buildroot}%{_datadir} MANDIR=%{buildroot}%{_mandir}
mv %{buildroot}/bin/xxd %{buildroot}%{_bindir}
install -s -m755 gvim %{buildroot}/usr/X11R6/bin
install -s -m755 enhanced-vim %{buildroot}%{_bindir}/vim

( cd %{buildroot}
  mv -f ./bin/vim ./bin/vi
  rm -f ./bin/rvim
  ln -sf vi ./bin/view
  ln -sf vi ./bin/ex
  ln -sf vi ./bin/rvi
  ln -sf vi ./bin/rview
  ln -sf vim ./usr/bin/ex
  ln -sf gvim ./usr/X11R6/bin/gview
  ln -sf gvim ./usr/X11R6/bin/gex
  ln -sf gvim ./usr/X11R6/bin/vimx
#
# for vim-enhanced (ln -sf /usr/bin/vim /usr/bin/ex)
  ln -sf vim ./usr/bin/ex
  perl -pi -e "s,%{buildroot},," .%{_mandir}/man1/vim.1 .%{_mandir}/man1/vimtutor.1
  rm -f .%{_mandir}/man1/rvim.1
  ln -sf vim.1.bz2 .%{_mandir}/man1/vi.1.bz2
  ln -sf vim.1.bz2 .%{_mandir}/man1/rvi.1.bz2
  ln -sf vim.1.bz2 .%{_mandir}/man1/gvim.1.bz2

#mkdir -p ./etc/X11/wmconfig
#install -m644 $RPM_SOURCE_DIR/vimx.wmconfig ./etc/X11/wmconfig/gvim
#  install -s -m644 $RPM_SOURCE_DIR/vimrc ./usr/share/vim/%{vimversion}/macros/
install -m644  %{SOURCE3}  ./%{vimruntime}/macros/vimrc
# install -m644  %{SOURCE5}  ./usr/share/vim/%{vimversion}/macros/gvimrc

install -m644 %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103} %{SOURCE104} ./usr/share/vim/%{vimversion}/print/

  pushd ./%{vimruntime}/lang

# for nl_nl
  iconv -f ISO-8859-1 -t UTF-8 menu_nl_nl.iso_8859-1.vim >menu_nl_nl.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_nl_nl.utf-8.vim
# for de_de
  iconv -f ISO-8859-1 -t UTF-8 menu_de_de.iso_8859-1.vim >menu_de_de.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_de_de.utf-8.vim
# for cs_cz
  iconv -f ISO-8859-2 -t UTF-8 menu_cs_cz.iso_8859-2.vim >menu_cs_cz.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-2|scriptencoding utf-8|g" menu_cs_cz.utf-8.vim
# for chinese
  iconv -f BIG5 -t UTF-8 menu_chinese_taiwan.950.vim >menu_chinese_taiwan.utf-8.vim
  perl -p -i -e "s|scriptencoding cp950|scriptencoding utf-8|g" menu_chinese_taiwan.utf-8.vim
# for korean
  iconv -f EUC-KR -t UTF-8 menu_ko_kr.euckr.vim >menu_ko_kr.utf-8.vim
  perl -p -i -e "s|scriptencoding euc-kr|scriptencoding utf-8|g" menu_ko_kr.utf-8.vim
# for af_af
  iconv -f ISO-8859-1 -t UTF-8 menu_af_af.iso_8859-1.vim >menu_af_af.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_af_af.utf-8.vim
# for es_es
  iconv -f ISO-8859-1 -t UTF-8 menu_es_es.iso_8859-1.vim >menu_es_es.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_es_es.utf-8.vim
# for pl_pl
  iconv -f ISO-8859-1 -t UTF-8 menu_pl_pl.iso_8859-2.vim >menu_pl_pl.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_pl_pl.utf-8.vim
# for hu_hu
  iconv -f ISO-8859-2 -t UTF-8 menu_hu_hu.iso_8859-2.vim >menu_hu_hu.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-2|scriptencoding utf-8|g" menu_hu_hu.utf-8.vim
# for it_it
  iconv -f ISO-8859-1 -t UTF-8 menu_it_it.iso_8859-1.vim >menu_it_it.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_it_it.utf-8.vim
#for sk_sk
  iconv -f ISO-8859-2 -t UTF-8 menu_sk_sk.iso_8859-2.vim >menu_sk_sk.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-2|scriptencoding utf-8|g" menu_sk_sk.utf-8.vim

#  mkdir -p ./etc/X11/applnk/Utilities
#  cat > ./etc/X11/applnk/Utilities/gvim.desktop <<EOF
#[Desktop Entry]
#Name=gvim
#Type=Application
#Comment=VI editor for X Windows
#Exec=gvim
#EOF
#  install -s -m644 %{SOURCE3} ./usr/share/vim/%{vimversion}/macros/
#  ln -s vimrc ./usr/share/vim/%{vimversion}/macros/gvimrc
)

# Dependency cleanups
chmod 644 %{buildroot}%{vimruntime}/doc/vim2html.pl \
 %{buildroot}%{vimruntime}/tools/*.pl \
 %{buildroot}%{vimruntime}/tools/vim132

popd

# file list for vim-macros
ls %{buildroot}%{vimruntime} |\
    sed -n '/^doc$/ ! s,^,%{vimruntime}/,p' > files-macros.list

%clean
rm -rf %{buildroot}

%files common
%defattr(-,root,root)
%doc README*.txt
/usr/bin/xxd
%dir %{_datadir}/vim
%dir %{_datadir}/vim/%{vimversion}
%docdir %{_datadir}/vim/%{vimversion}/doc
%{_datadir}/vim/%{vimversion}/doc
%{_mandir}/man1/vim.*
%{_mandir}/man1/vimtutor.*
%{_mandir}/man1/ex.*
%{_mandir}/man1/vi.*
%{_mandir}/man1/view.*
%{_mandir}/man1/rvi.*
%{_mandir}/man1/rview.*
%{_mandir}/man1/xxd.*
%{_mandir}/man1/evim.*
%{_mandir}/man1/vimdiff.*


%files macros -f files-macros.list
%defattr(-,root,root)
/bin/vimtutor

%files minimal
%defattr(-,root,root)
/bin/ex
/bin/vi
/bin/view
/bin/rvi
/bin/rview

%files enhanced
%defattr(-,root,root)
/usr/bin/vim
/usr/bin/ex

%files X11
%defattr(-,root,root)
#%config(missingok) /etc/X11/applnk/Utilities/gvim.desktop
#%config(missingok) /etc/X11/wmconfig/gvim
/usr/X11R6/bin/gvim
/usr/X11R6/bin/vimx
/usr/X11R6/bin/gex
/usr/X11R6/bin/gview

%{_mandir}/man1/gvim.*

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (6.3.4-2m)
- remove Epoch from BuildPrereq

* Tue Jun 15 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (6.3.4-1m)
- up to version 6.3 pache level 4

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (6.2.127-6m)
- rebuild against ncurses 5.3.

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (6.2.127-5m)
- rebuild against for libxml2-2.6.8

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (6.2.127-4m)
- revised spec for rpm 4.2.

* Sun Nov  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (6.2.127-3m)
- accept any version of python

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (6.2.127-2m)
- rebuild against perl-5.8.1

* Fri Oct 24 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (6.2.127-1m)
- up to version 6.2.127
- update hardcopy-multibyte patch for vim 6.2

* Mon Aug  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (6.1.474-2m)
- rebuild against ruby-1.8

* Wed Apr 23 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (6.1.474-1m)
- update to patch level 474.
- use the source archives that include all the patches 
  up to and including 6.1.405. 
  http://marc.theaimsgroup.com/?l=vim-announce&m=104914253629987&w=2
- fix Requires:
    vim-minimal -> vim-common
    vim-{enhanced,X11} -> vim-common, vim-macros
- remove files in -common that are contained in -macros.
- move $VIMRUNTIME/doc to -common so as to 
  make help be available by vim-minimal.
- move vimtutor to -macros since it is useless for -minimal
- define macro %%vimruntime and use it.
- use more macros
- see [Momonga-devel.ja:01592] for details.

* Fri Feb 07 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (6.1-9m)
- added patch ( from 6.1.248-6.1.320)

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (6.1-8m)
- invoke autoconf-old to ignore gcc-3.X warnings

* Sat Nov 02 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (6.1-7m)
- added patch (from 6.1.145-6.1.247)

* Mon Sep 09 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (6.1-6m)
- added patch (from 6.1.144-6.1.174)

* Sat Aug 03 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (6.1-5m)
- added patch (from 6.1.095-6.1.143)

* Thu Jun 13 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (6.1-4k)
- added patch to 6.1.094.
- (change patch100 from vim-6.1-001-041.gz to vim-6.1-001-094.gz).

* Tue Apr 30 2002 Motonobu Ichimura <famao@kondara.org>
- (6.1-2k)
- up to 6.1
- added patch from 6.1.001 to 6.1.041

* Fri Mar 01 2002 Motonobu Ichimura <famao@kondara.org>
- (6.0-14k)
- added patch (from 6.0-223-6.0.270)

* Thu Feb 21 2002 Shingo Akagaki <dora@kondara.org>
- (6.0-12k)
- rebuild against for db3,4 and python-2.2

* Wed Feb 13 2002 Motonobu Ichimura <famao@kondara.org>
- (6.0-10k)
- added patch (from 6.0.063-6.0.222)
- added ps patch for multibyte support (at :hardcopy)

* Sat Nov 03 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-8k)
- moved vim patches to one gzip'ed patch

* Fri Nov 02 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-6k)
- added patch (from 6.0.012 to 6.0.063)
- added BuildRequires,Requires Tag

* Thu Oct 25 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-4k)
- added --enable-multibyte option to vim-minimal
-    (for li18nux test suite)

* Thu Oct 04 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-3k)
- now official release
- patches (from 6.0.001 to 6.0.011) added

* Wed Aug 22 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.00520503k)
- up to 6.0as
- more translations to UTF-8

* Tue Aug 21 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.00520403k)
- import to Jirai

* Tue Aug 21 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.00520402k)
- up to 6.0ar

* Tue Aug 07 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.005202k)
- import to STABLE_2_0

* Tue Jul 31 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.005203k)
- up to 6.0ap
- this is first-beta relase (see http://www.vim.org)

* Tue Jul 17 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.005005k)
- modified vimrc
- now re-enable to be built by non-root users :-P)

* Sun Jul  8 2001 Toru Hoshina <toru@df-usa.com>
- (6.0-0.004010k)
- fixed ruby hdr issue.

* Sun May 20 2001 Toru Hoshina <toru@df-usa.com>
- (6.0-0.004008k)
- remove /usr/bin/vi symlink because the vipw and thew visudo no longer
  depends on that, appologize to confused.

* Fri May 18 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (6.0-0.004006k)
- change "vi" --with-features=tiny to --with-features=small 

* Sat May 12 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (6.0-0.004004k)
- add /usr/bin/vi -> /bin/vi symlinks

* Fri May 11 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (6.0-0.004002k)
- add URL:
- update to 6.0ae

* Thu May 03 2001 Motonobu Ichimura <famao@digitalfactory.co.jp>
- (6.0-0.003002k)
- imported to Mary

* Thu May 03 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.003003k)
- added more stuff.
- renamed version to 0.003003k

* Thu May 03 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0ad-3k)
- version up
- many changes added.

* Sat Dec 23 2000 Motonobu Ichimura <famao@kondara.org>
- up to 6.0q-3k

* Sat Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (6.0h-7k)
- modified spec file with %{_mandir} macor for compatible

* Mon Oct 09 2000 Motonobu Ichimura <famao@kondara.org>
- up to 6.0h

* Thu Sep 27 2000 Motonobu Ichimura <famao@kondara.org>
- add support for UTF-8

* Wed Sep 13 2000 Motonobu Ichimura <famao@kondara.org>
- up to 6.0g
- added many many changes, but I need more ;-)

* Thu Apr 18 2000 Takaaki Tabuchi <tab@kondara.org>
- fix vim was not exist.

* Sun Apr 09 2000 Takaaki Tabuchi <tab@kondara.org>
- fix file not found vim.

* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (5.6-11).

* Wed Mar 08 2000 Motonobu Ichimura <famao@kondara.org>
- now DONT uses macros for initial setting

* Tue Mar 07 2000 Preston Brown <pbrown@redhat.com>
- fix home/end in vimrc (we did a term = rxvt, totally wrong)

* Thu Mar 02 2000 Shingo Akagaki <dora@kondara.org>
- use static link (vim-minimal)

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- change F1-F4 keybindings for xterm builtin terminfo to match real terminfo

* Thu Feb 17 2000 Bill Nottingham <notting@redhat.com>
- kill autoindent

* Fri Feb 11 2000 Motonobu Ichimura <famao@kondara.org>
- now uses include vimrc_example for initial setting

* Tue Feb 10 2000 Motonobu Ichimura <famao@kondara.org>
- up to 5.6a
- some change added for japanese

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Sat Feb  5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Patchlevel 11
- handle compressed man pages
- fix man page symlinks

* Wed Feb  2 2000 Bill Nottingham <notting@redhat.com>
- eliminate dependencies on X in vim-enhanced, and ncurses/gpm
  in vim-minimal

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- eliminate dependencies on csh and perl in vim-common

* Wed Jan 19 2000 Bernhard Rosenrknzer <bero@redhat.com>
- Use awk, not nawk

* Tue Jan 18 2000 Bernhard Rosenrknzer <bero@redhat.com>
- 5.6
- patch 5.6.001
- remove /usr/bin/vi - if you want vim, type vim

* Tue Jan 11 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 5.6a
- Remove dependency on nawk (introduced by base update)
- some tweaks to make updating easier

* Wed Nov 24 1999 Motonobu Ichimura <famao@kondara.org>
- up to 5.5
- fix mouse-enabled problem. sorry :-P)

* Thu Nov 11 1999 Motonobu Ichimura <famao@kondara.org>
- add some changes and rebuild against without libtermcap

* Tue Nov  9 1999 Bernhard Rosenkrnzer <bero@redhat.com>
- 5.5
- fix path to vimrc

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Oct 5 1999 Shin Fukui <shinta@april.co.jp>
- add configure options for multibyte support

* Tue Jul 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- moved from athena to gtk widgets for X version
- removed vim.1 from X11 filelist because X11 depends on vim-common anyway
- fixed rogue dependencies from sample files

* Tue Jul 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.4.

* Thu Jul 22 1999 Jeff Johnson <jbj@redhat.com>
- man page had buildroot pollution (#3629).

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- with recent termcap/terminfo fixes, regular vim works in xterm/console
- in color, so vim-color package removed.

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- removed "set backupdir=/tmp/vim_backup" from default vimrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redaht.com>
- built pacakge for 6.0

* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- removed '--with-tlib=termcap' so that color-vim works

* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.3.

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in Toshio's changes
- color-vim: changed "--disable-p" to "--disable-perlinterp --with-tlib=termcap"
- added minimal rvi/rview and man pages.
- move Obsoletes to same package as executable.

* Thu Aug 06 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Break the package apart similar to the way the netscape package was
  broken down to handle navigator or communicator: The vim package is
  Obsolete, now there is vim-common with all the common files, and a
  package for each binary: vim-minimal (has /bin/vi compiled with no
  frills), vim-enhanced (has /usr/bin/vim with extra perl and python
  interpreters), and vim-X11 (has /usr/X11R6/bin/gvim compiled with
  GUI support.)
- Enable the perl and python interpreters in the gui version (gvim).

* Tue Jun 30 1998 Michael Maher <mike@redhat.com>
- Fixed tutor help.
- cvim package added.  Thanks to Stevie Wills for finding this one :-)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Donnie Barnes <djb@redhat.com>
- added patch to turn off the "vi compatibility" by default.  You can
  still get it via the -C command line option

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- removed perl and python interpreters (sorry, but those don't belong
  in a /bin/vi and having two vi's seemed like overkill...complain
  to suggest@redhat.com if you care)

* Fri Apr 17 1998 Donnie Barnes <djb@redhat.com>
- fixed buildroot bug

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 4.6 to 5.1
- moved to buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- fixed missing man page

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry to vim-X11

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- upgraded from 4.5 to 4.6

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.5
- Added ex symlinks

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added view symlink.
